<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="ingresarModificarPrediosAvaluosForm">

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
        $(document).ready(
                function () {
                    var idPreForm = '#ingresarModificarPrediosAvaluosForm'
                            + validColonString() + 's';
                    $(
                            idPreForm + '3,' + idPreForm + '4,' + idPreForm
                            + '5,' + idPreForm + '6,' + idPreForm
                            + '7,' + idPreForm + '8,' + idPreForm
                            + '9,' + idPreForm + '10,' + idPreForm
                            + '11,' + idPreForm + '12').autotab_magic()
                            .autotab_filter('numeric');
                });
    </script>

    <p:spacer height="5" />

    <p:messages id="predioMsgs" />
    <p:focus />

    <p:fieldset>
        <legend>
            <h:outputText value="Información de trámite" styleClass="legendTitle" />
        </legend>
        <p:spacer height="10" />

        <h:panelGrid columns="2" cellspacing="7" width="100%"
                     columnClasses="colPequena, colPequena"
                     rendered="#{adminPrediosAvaluos.banderaEsCargadoDesdeMB48}">
            <h:outputLabel value="Sec_Radicado: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPrediosAvaluos.solicitudSeleccionada.numero}"
                styleClass="outputTextStyle" />
        </h:panelGrid>

        <h:panelGrid columns="6" cellspacing="7" width="100%"
                     columnClasses="colPequena, colPequena, colPequena, colPequena, colPequena, colPequena"
                     rendered="#{adminPrediosAvaluos.banderaEsCargadoDesdeMB121}">

            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />
            <h:outputText  value="#{adminPrediosAvaluos.nombreSolicitante}"
                           styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo documento: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPrediosAvaluos.solicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" id="PersonaTipoIdentificacionC-1">
                <f:converter converterId="converterCB"
                             for="PersonaTipoIdentificacionC-1" />
            </h:outputText>

            <h:outputLabel value="No. documento: " styleClass="outputLabelStyle" />
            <h:outputText value="#{adminPrediosAvaluos.documentoSolicitante}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo trámite: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPrediosAvaluos.solicitudSeleccionada.tipo}"
                styleClass="outputTextStyle" id="AvaluosComercialesTipoTramite-1">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite-1" />
            </h:outputText>

            <h:outputLabel value="Total predios: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{fn:length(adminPrediosAvaluos.prediosSolicitud)}"
                styleClass="outputTextStyle" />
        </h:panelGrid>

        <p:spacer height="5" />

        <p:separator />

        <h:panelGrid id="panelGridPrincipal" columns="2"
                     columnClasses="colMediana, colMediana" cellspacing="7">

            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionDepartamento" value="Departamento: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionDepartamento" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionDepartamento" label="Departamento"
                             value="#{adminPrediosAvaluos.departamentoCodSeleccionado}"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"
                             required="true">

                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{adminPrediosAvaluos.departamentosCombo}" />

                <p:ajax
                    update=":ingresarModificarPrediosAvaluosForm:seleccionMunicipio, 
                    :ingresarModificarPrediosAvaluosForm:seleccionCondicionJuridica,
                    :ingresarModificarPrediosAvaluosForm:seleccionCirculoRegistral,
                    :ingresarModificarPrediosAvaluosForm:seleccionTipoAvaluoPredio,
                    :ingresarModificarPrediosAvaluosForm:s1,
                    :ingresarModificarPrediosAvaluosForm:s2,
                    :ingresarModificarPrediosAvaluosForm:predioMsgs"
                    listener="#{adminPrediosAvaluos.departamentoCambio}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.departamento.nombre}"
                styleClass="outputTextStyle"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionMunicipio" value="Municipio: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionMunicipio" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionMunicipio" label="Municipio: "
                             value="#{adminPrediosAvaluos.municipioCodSeleccionado}"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"
                             required="true">

                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{adminPrediosAvaluos.municipiosCombo}" />
                <p:ajax listener="#{adminPrediosAvaluos.municipioCambio}"
                        update=":ingresarModificarPrediosAvaluosForm:seleccionCirculoRegistral,
                        :ingresarModificarPrediosAvaluosForm:s2,
                        :ingresarModificarPrediosAvaluosForm:predioMsgs" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.municipio.nombre}"
                styleClass="outputTextStyle"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionTipoAvaluoPredio"
                               value="Tipo avalúo predio: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionTipoAvaluoPredio" display="icon" />
            </h:panelGrid>

            <h:selectOneMenu id="seleccionTipoAvaluoPredio"
                             label="Tipo de avalúo" required="true"
                             value="#{adminPrediosAvaluos.predioSeleccionado.tipoAvaluoPredio}"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}">

                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.avaluoPredioTipoAvaluoV}" />

                <p:ajax
                    update=":ingresarModificarPrediosAvaluosForm:seleccionUnidadMedidaAreaTerreno"
                    listener="#{adminPrediosAvaluos.tipoAvaluoPredioCambio}" />
            </h:selectOneMenu>

            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.tipoAvaluoPredio}"
                styleClass="outputTextStyle"
                id="AvaluoPredioTipoAvaluoV-1"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="AvaluoPredioTipoAvaluoV-1" />
            </h:outputText>

            <h:outputLabel value="Número predial: " styleClass="outputLabelStyle"
                           rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva}"/>

            <h:panelGrid columns="16" cellspacing="1" id="numeroPredialPG"
                         rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva
                                     and !adminPrediosAvaluos.banderaModoLecturaHabilitado}" >

                <h:inputText id="s1" disabled="true"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS1}"
                             size="1" maxlength="2" onblur="complete(this, 2)"
                             title="Departamento" />

                <h:inputText id="s2" disabled="true"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS2}"
                             size="3" maxlength="3" onblur="complete(this, 3)" title="Municipio" />

                <h:inputText id="s3"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS3}"
                             size="2" maxlength="2" onblur="complete(this, 2)" title="Zona" />

                <h:inputText id="s4"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS4}"
                             size="2" maxlength="2" onblur="complete(this, 2)" title="Sector" />

                <h:inputText id="s5"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS5}"
                             size="2" maxlength="2" onblur="complete(this, 2)" title="Comuna" />

                <h:inputText id="s6"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS6}"
                             size="2" maxlength="2" onblur="complete(this, 2)" title="Barrio" />

                <h:inputText id="s7"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS7}"
                             size="4" maxlength="4" onblur="complete(this, 4)"
                             title="Manzana o vereda" />

                <h:inputText id="s8"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS8}"
                             size="4" maxlength="4" onblur="complete(this, 4)" title="Terreno" />

                <h:inputText id="s9"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS9}"
                             size="1" maxlength="1" onblur="complete(this, 1)"
                             title="Condición de propiedad">
                    <p:ajax
                        update=":ingresarModificarPrediosAvaluosForm:seleccionCondicionJuridica"
                        listener="#{adminPrediosAvaluos.condicionPropiedadCambio}" />
                </h:inputText>

                <h:inputText id="s10"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS10}"
                             size="2" maxlength="2" onblur="complete(this, 2)"
                             title="No. del edificio o torre" />

                <h:inputText id="s11"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS11}"
                             size="2" maxlength="2" onblur="complete(this, 2)"
                             title="No. de piso dentro del edificio" />

                <h:inputText id="s12"
                             value="#{adminPrediosAvaluos.datosConsultaPredio.numeroPredialS12}"
                             size="4" maxlength="4" onblur="complete(this, 4)"
                             title="No. de unidad en PH o mejora" />

                <p:commandButton title="Buscar predio"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                 process="@this,
                                 :ingresarModificarPrediosAvaluosForm:s1,
                                 :ingresarModificarPrediosAvaluosForm:s2,
                                 :ingresarModificarPrediosAvaluosForm:s3,
                                 :ingresarModificarPrediosAvaluosForm:s4,
                                 :ingresarModificarPrediosAvaluosForm:s5,
                                 :ingresarModificarPrediosAvaluosForm:s6,
                                 :ingresarModificarPrediosAvaluosForm:s7,
                                 :ingresarModificarPrediosAvaluosForm:s8,
                                 :ingresarModificarPrediosAvaluosForm:s9,
                                 :ingresarModificarPrediosAvaluosForm:s10,
                                 :ingresarModificarPrediosAvaluosForm:s11,
                                 :ingresarModificarPrediosAvaluosForm:s12"
                                 id="buscarPredioButton" icon="ui-icon-search"
                                 action="#{adminPrediosAvaluos.buscarPredio}"
                                 update=":ingresarModificarPrediosAvaluosForm" />

            </h:panelGrid>

            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.numeroPredial}"
                styleClass="outputTextStyle"
                rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva	
                            and adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="direccionPredio" value="Dirección predio: "
                               styleClass="outputLabelStyle"
                               rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva}" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle"
                               rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva
                                           and !adminPrediosAvaluos.banderaModoLecturaHabilitado}" />
                <p:message for="direccionPredio" display="icon" />
            </h:panelGrid>
            <h:inputText id="direccionPredio" label="Dirección predio"
                         value="#{adminPrediosAvaluos.predioSeleccionado.direccion}"
                         style="width:200px" required="true"
                         rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva
                                     and !adminPrediosAvaluos.banderaModoLecturaHabilitado}" />


            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.direccion}"
                styleClass="outputTextStyle"
                rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva	
                            and adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>
        </h:panelGrid>

        <p:separator />

        <h:panelGrid id="panelGridCentro" columns="4" cellspacing="7"
                     columnClasses="colMediana, colPequena, colMediana, colPequena"
                     rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva}">

            <h:outputLabel for="checkMatriculaAntigua"
                           value="Matrícula antigua: " styleClass="outputLabelStyle" />
            <h:selectBooleanCheckbox id="checkMatriculaAntigua"
                                     value="#{adminPrediosAvaluos.banderaMatriculaAntigua}"
                                     rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <p:ajax immediate="true"
                        update=":ingresarModificarPrediosAvaluosForm:panelGridCentro"
                        process="@this" />
            </h:selectBooleanCheckbox>

            <h:outputText
                value="#{adminPrediosAvaluos.banderaMatriculaAntigua}"
                styleClass="outputTextStyle"
                id="SiNo-1"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:converter converterId="booleanConverter"
                             for="SiNo-1" />
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="numeroMatricula" value="No. Matrícula: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle"
                               rendered="#{!adminPrediosAvaluos.banderaMatriculaAntigua
                                           and !adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>			   

                <p:message for="numeroMatricula" display="icon" />
            </h:panelGrid>
            <h:inputText id="numeroMatricula" label="No. Matrícula"
                         value="#{adminPrediosAvaluos.predioSeleccionado.numeroRegistro}"
                         required="#{!adminPrediosAvaluos.banderaMatriculaAntigua}" 
                         rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>

            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.numeroRegistro}"
                styleClass="outputTextStyle"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>	

            <h:panelGrid columns="3"
                         rendered="#{!adminPrediosAvaluos.banderaMatriculaAntigua}">
                <h:outputLabel for="seleccionCirculoRegistral"
                               value="Circulo registral: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionCirculoRegistral" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionCirculoRegistral"
                             label="Circulo Registral"
                             value="#{adminPrediosAvaluos.predioSeleccionado.circuloRegistral}"
                             disabled="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"
                             rendered="#{!adminPrediosAvaluos.banderaMatriculaAntigua}"
                             required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{adminPrediosAvaluos.circuloRegistralCombo}" />
            </h:selectOneMenu>

        </h:panelGrid>

        <p:separator
            rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva}" />

        <h:panelGrid id="panelGridDerecha" columns="4" cellspacing="7"
                     columnClasses="colMediana, colPequena, colMediana, colPequena"
                     rendered="#{!adminPrediosAvaluos.banderaModificacionMasiva}">

            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionCondicionJuridica"
                               value="Condición jurídica : " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>	
                <p:message for="seleccionCondicionJuridica" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionCondicionJuridica"
                             label="Condición jurídica"
                             value="#{adminPrediosAvaluos.predioSeleccionado.condicionJuridica}"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"
                             required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaCondicionJuridicaD}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.condicionJuridica}"
                styleClass="outputTextStyle"
                id="OfertaCondicionJuridicaD-1"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="OfertaCondicionJuridicaD-1" />
            </h:outputText>



            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionUnidadMedidaAreaTerreno"
                               value="Unidad medida área terreno : " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionUnidadMedidaAreaTerreno" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionUnidadMedidaAreaTerreno"
                             label="Unidad medida área terreno"
                             value="#{adminPrediosAvaluos.unidadMedidaAreaTerrenoSeleccionada}"
                             required="true"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.avaluoUnidadAreaV}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminPrediosAvaluos.unidadMedidaAreaTerrenoSeleccionada}"
                styleClass="outputTextStyle"
                id="OfertaUnidadAreaV-1"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="OfertaUnidadAreaV-1" />
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="seleccionUnidadMedidaConstruccion"
                               value="Unidad medida construcción : " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="seleccionUnidadMedidaConstruccion" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu id="seleccionUnidadMedidaConstruccion"
                             label="Unidad medida construcción"
                             value="#{adminPrediosAvaluos.unidadMedidaConstruccionSeleccionada}"
                             required="true"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.avaluoUnidadConstruccionV}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminPrediosAvaluos.unidadMedidaConstruccionSeleccionada}"
                styleClass="outputTextStyle"
                id="OfertaUnidadConstruccionV-1"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="OfertaUnidadConstruccionV-1" />
            </h:outputText>

            <h:panelGrid columns="3">
                <h:outputLabel for="areaTerreno" value="Área terreno : "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="areaTerreno" display="icon" />
            </h:panelGrid>
            <h:inputText id="areaTerreno" label="Área de terreno"
                         value="#{adminPrediosAvaluos.predioSeleccionado.areaTerreno}"
                         required="true" 
                         rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.areaTerreno}"
                styleClass="outputTextStyle"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>	

            <h:panelGrid columns="3">
                <h:outputLabel for="areaConstruccion" value="Área construcción : "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" 
                               styleClass="requiredLabelStyle" 
                               rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:spacer rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
                <p:message for="areaConstruccion" display="icon" />
            </h:panelGrid>
            <h:inputText id="areaConstruccion" label="Área de construcción"
                         value="#{adminPrediosAvaluos.predioSeleccionado.areaConstruccion}"
                         required="true" 	
                         rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"/>
            <h:outputText
                value="#{adminPrediosAvaluos.predioSeleccionado.areaConstruccion}"
                styleClass="outputTextStyle"
                rendered="#{adminPrediosAvaluos.banderaModoLecturaHabilitado}">
            </h:outputText>	

        </h:panelGrid>

        <h:panelGrid cellspacing="7" columns="1">
            <p:commandButton value="Guardar" icon="ui-icon-disk"
                             rendered="#{!adminPrediosAvaluos.banderaModoLecturaHabilitado}"
                             action="#{adminPrediosAvaluos.guardarPredio}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); 
                             handleCompleteSIC(xhr, status, args, ingresarModificarPrediosAvaluosWV, false);"
                             update=":ingresarModificarPrediosAvaluosForm,
                             :informacionPrediosForm:tablaPredios" />
        </h:panelGrid>
    </p:fieldset>

</h:form>